> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List entity mappings

> Lists all entity mappings for a project.



## OpenAPI

````yaml get /integration/spiideo/v1/entity_mappings
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /integration/spiideo/v1/entity_mappings:
    get:
      tags:
        - SpiideoService
      description: Lists all entity mappings for a project.
      operationId: SpiideoService_ListSpiideoEntityMappings
      parameters:
        - name: project_id
          in: query
          required: true
          schema:
            type: string
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
        - name: page_token
          in: query
          schema:
            type: string
        - name: filter
          in: query
          description: >-
            Filter the result-set by properties using a subset of the Kibana
            Query Language.
             Currently, `motto_entity_type` is the only supported filter.
             E.g. `motto_entity_type:stadium`.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.integration.spiideo.v1.ListSpiideoEntityMappingsResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.integration.spiideo.v1.ListSpiideoEntityMappingsResponse:
      type: object
      properties:
        entity_mappings:
          type: array
          items:
            $ref: >-
              #/components/schemas/motto.integration.spiideo.v1.SpiideoEntityMapping
        next_page_token:
          type: string
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.integration.spiideo.v1.SpiideoEntityMapping:
      required:
        - motto_entity_id
        - motto_entity_type
        - spiideo_object_id
        - spiideo_object_type
      type: object
      properties:
        motto_entity_id:
          type: string
          description: The ID of the Motto entity.
        motto_entity_type:
          type: string
          description: The type of the Motto entity.
        spiideo_object_id:
          type: string
          description: |-
            The ID of the Spiideo object.
             In the case of sports, this is the enum value of the sport in Spiideo, e.g. "football" or "basketball".
        spiideo_object_type:
          enum:
            - SPIIDEO_OBJECT_TYPE_UNSPECIFIED
            - SPIIDEO_OBJECT_TYPE_TEAM
            - SPIIDEO_OBJECT_TYPE_SPORT
            - SPIIDEO_OBJECT_TYPE_PLAYER
            - SPIIDEO_OBJECT_TYPE_SCENE
          type: string
          description: The type of the Spiideo object.
          format: enum
        description:
          type: string
          description: >-
            A description of the mapping. This is for informational purposes
            only and does not affect the functionality.
             This can be the name of the team or player in Motto, or any other relevant information that helps identify the mapping.
      description: >-
        Maps a Motto entity to a Spiideo object. Such a mapping must exist for
        any entity that is to be used in Spiideo-related operations,
         otherwise no automatic API integration can be performed when creating Spiideo games.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````